binconf {Hmisc} | R Documentation

## Confidence Intervals for Binomial Probabilities

### Description

Produces 1-alpha confidence intervals for binomial probabilities.

### Usage

    binconf(x, n, alpha=0.05,
            method=c("wilson","exact","asymptotic","all"),
            include.x=FALSE, include.n=FALSE, return.df=FALSE)

### Arguments

`x` | vector containing the number of "successes" for binomial variates
`n` | vector containing the numbers of corresponding observations
`alpha` | probability of a type I error, so confidence coefficient = 1-alpha

`method`

character string specifing which method to use. The "all" method only works when x and n are length 1. The "exact" method uses the F distribution to compute exact (based on the binomial cdf) intervals; the "wilson" interval is score-test-based; and the "asymptotic" is the text-book, asymptotic normal interval. Following Agresti and Coull, the Wilson interval is to be preferred and so is the default.

`include.x` | logical flag to indicate whether `x` should be included in the returned matrix or data frame
`include.n` | logical flag to indicate whether `n` should be included in the returned matrix or data frame
`return.df` | logical flag to indicate that a data frame rather than a matrix be returned

### Value

a matrix or data.frame containing the computed intervals and, optionally, `x` and `n`.

### Author(s)

Rollin Brant, Modified by Frank Harrell and
Brad Biggerstaff
Centers for Disease Control and Prevention
National Center for Infectious Diseases
Division of Vector-Borne Infectious Diseases
P.O. Box 2087, Fort Collins, CO, 80522-2087, USA
bkb5@cdc.gov

### References

A. Agresti and B.A. Coull, Approximate is better than "exact" for interval estimation of binomial proportions, American Statistician, 52:119–126, 1998.

R.G. Newcombe, Logit confidence intervals and the inverse sinh transformation, American Statistician, 55:200–202, 2001.

L.D. Brown, T.T. Cai and A. DasGupta, Interval estimation for a binomial proportion (with discussion), Statistical Science, 16:101–133, 2001.

### Examples

    binconf(0:10,10,include.x=TRUE,include.n=TRUE)
    binconf(46,50,method="all")

[Package Hmisc version 3.17-4 Index]